asus a43e - intel i3 - intel HD Graphics 3000 - occasional window partial scramble

Reported by Tora Kuat on 2012-06-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

Mostly happens after:

1. Save menu in GIMP and others

2. Entering a search words in Fire Fox

They are a random number of blue background, lighter dots, the size of a character, going over a few lines, sometimes two or three paragraphs.

This error does not appear if we minimize the window, reappear if we resize the window. They still appear if we move the window to other workspace.

They hinder us from reading the menu, covering the same spot all the time. Sometimes they even freeze the system and must be restart.

Regards,
Tora

Description: Ubuntu 12.04 LTS
Release: 12.04

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1008322/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Tora Kuat (torakuat-gmail) wrote :

The bug can not be reproduced without fail. It occurs though a number of time a day. Since it happens to different package (GIMP, Fire Fox, Office Libre) in menu, my guess it has something to do with graphical representation of menu window, such as 'Save as' menu window.

Fabio Marconi (fabiomarconi) wrote :

Hello
Please reproduce the bug and attach here, using the button below 'Add attachment or patch' the files:
/var/log/kern.log
/var/log/Xorg.0.log.old
/var/log/Xorg.0.log
and if possible a screenshot of the problem.
Thanks
Fabio
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in ubuntu:
status: New → Incomplete
Tora Kuat (torakuat-gmail) wrote :

Fabio,

Please let me tell some background story first, in the hope, it helps you understand more comprehensively.

I use Ubuntu since 9.04 and never experience this kind of bug, at least not this severe. Typically I use Office Libre, GIMP, Fire Fox simultaneously.

Since I (fresh) install Ubuntu 12.04 I started experiencing this bug. I did not report, since I thought it would go away with regular update. I submitted the report two days ago, because at that time, the bug occured more frequently even to the extent the computer need to be hard restarted. The bug can not be reproduced without fail, usually it happened when you type something, than enter or save and Ubuntu reacts. For example when you want to save a picture in GIMP, it happens the split second you press 'SAVE', either nothing happens abnormally, or the bug appears (please look at the screen shot). Another instance was, I typed something in Fire Fox address bar than enter, than it happens. It happens typically in the (sub) window following the 'enter'. As said, not always reproducable, but the day I submit the report, it was quite a nuissance.

BUT

I don't know, whether it is a coincidence. After submitting the bug, I hardly encounter this bug again. I encountered it once today, while trying to sudo edit the 'patch' you requesting, but it went away a second or two later, even before I managed to screen shot it.

I just tested working with GIMP, Libre Office, Fire Fox, saving in and out from a USB stick, but were not able to reproduce it again today. Hopefully it is gone. If you allow, I will test again in one week, if nothing happen, maybe it is gone.

ANWAY

I attach you some screen shot (from the other day I reported the bug) and the patch (from today) for your perusal. I am not sure whether I can attach multiple attachment here but I will try. If it fail, you think I'd better attach them from my e mail. (EDITED) I think I can only attach one file, so I will try to send them by e mail after this web submittal

Fabio, thanks a lot for responding and for helping Ubuntu becoming an excellent Operating System.

Regards,

Tora

Pre Note: EMAIL content is identical to that sent by Web Submittal, but
this e mail content all the attachment requested. Thanks.

Fabio,

Please let me tell some background story first, in the hope, it helps
you understand more comprehensively.

I use Ubuntu since 9.04 and never experience this kind of bug, at least
not this severe. Typically I use Office Libre, GIMP, Fire Fox
simultaneously.

Since I (fresh) install Ubuntu 12.04 I started experiencing this bug. I
did not report, since I thought it would go away with regular update. I
submitted the report two days ago, because at that time, the bug occured
more frequently even to the extent the computer need to be hard
restarted. The bug can not be reproduced without fail, usually it
happened when you type something, than enter or save and Ubuntu reacts.
For example when you want to save a picture in GIMP, it happens the
split second you press 'SAVE', either nothing happens abnormally, or the
bug appears (please look at the screen shot). Another instance was, I
typed something in Fire Fox address bar than enter, than it happens. It
happens typically in the (sub) window following the 'enter'. As said,
not always reproducable, but the day I submit the report, it was quite a
nuissance.

BUT

I don't know, whether it is a coincidence. After submitting the bug, I
hardly encounter this bug again. I encountered it once today, while
trying to sudo edit the 'patch' you requesting, but it went away a
second or two later, even before I managed to screen shot it.

I just tested working with GIMP, Libre Office, Fire Fox, saving in and
out from a USB stick, but were not able to reproduce it again today.
Hopefully it is gone. If you allow, I will test again in one week, if
nothing happen, maybe it is gone.

ANWAY

I attach you some screen shot (from the other day I reported the bug)
and the patch (from today) for your perusal. I am not sure whether I can
attach multiple attachment here but I will try. If it fail, you think
I'd better attach them from my e mail. (EDITED) I think I can only
attach one file, so I will try to send them by e mail after this web
submittal

Fabio, thanks a lot for responding and for helping Ubuntu becoming an
excellent Operating System.

Regards,

Tora

On 06/04/2012 09:53 PM, Fabio Marconi wrote:
> Hello
> Please reproduce the bug and attach here, using the button below 'Add attachment or patch' the files:
> /var/log/kern.log
> /var/log/Xorg.0.log.old
> /var/log/Xorg.0.log
> and if possible a screenshot of the problem.
> Thanks
> Fabio
> ---
> Ubuntu Bug Squad volunteer triager
> http://wiki.ubuntu.com/BugSquad
>
> ** Changed in: ubuntu
> Status: New => Incomplete
>

The attachment "kern.log" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
tags: removed: patch
Fabio Marconi (fabiomarconi) wrote :

Hello
The only error from kern.log is dated Jun 3 08:52:54, but looking at the screenshots seems that the corruptions are only inside the windows, so the problem is in the window manager.
Which environement are you using ? unity or unity-2D ?
If you are using compiz, can you please use metacity (unitu 2D) to see if you can see the bug again ?
Thanks
Fabio

Jun 3 08:52:54 ToRA-A43E kernel: [ 818.780454] gimp-2.6[2719]: segfault at 0 ip 00007ff59f9a83e1 sp 00007fffed0045f8 error 4 in libc-2.15.so[7ff59f847000+1b3000]
Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.324292] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.324302] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.327842] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 1641045 at 1641039, next 1641046)
Jun 3 09:21:52 ToRA-A43E kernel: [ 2555.955957] atl1c 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
Jun 3 09:21:54 ToRA-A43E kernel: [ 2556.151857] atl1c 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351882] apport-gpu-erro: page allocation failure: order:10, mode:0x40d0
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351888] Pid: 3752, comm: apport-gpu-erro Tainted: G C 3.2.0-24-generic #39-Ubuntu
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351891] Call Trace:
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351900] [<ffffffff8111cec6>] warn_alloc_failed+0xf6/0x150
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351904] [<ffffffff8111f5a0>] ? drain_pages+0x30/0xb0
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351907] [<ffffffff8111f696>] ? drain_local_pages+0x16/0x20
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351910] [<ffffffff81120d2b>] __alloc_pages_nodemask+0x64b/0x820
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351916] [<ffffffff81157ad3>] alloc_pages_current+0xa3/0x110
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351919] [<ffffffff8111beee>] __get_free_pages+0xe/0x40
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351923] [<ffffffff8116232f>] kmalloc_order_trace+0x3f/0xd0
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351927] [<ffffffff81162eb0>] __kmalloc+0x180/0x190
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351930] [<ffffffff81123bf6>] ? put_page+0x36/0x40
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351936] [<ffffffff8119a65d>] seq_read+0x17d/0x3d0
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351939] [<ffffffff81177ec0>] vfs_read+0xb0/0x180
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351942] [<ffffffff81177fda>] sys_read+0x4a/0x90
Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351946] [<ffffffff81664d82>] system_call_fastpath+0x16/0x1b
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Download full text (3.4 KiB)

Hi,

Sorry I did a lot of testing hoping to localize, but not successful yet.
The bug does still occurs. Randomly, in (identified programs) Firefox,
Thunderbird, Nautilus, GIMP just random purple strips. They can cross a
page in a window, or a single picture in a window.

I use unity 2D. No compiz.

I attached two sets of screen shots and logs:

1. 12 June 2012

2. 19 July 2012

Thank you.

Regards,

Toni Ridwan Affandi

On 06/06/2012 02:07 PM, Fabio Marconi wrote:
> Hello
> The only error from kern.log is dated Jun 3 08:52:54, but looking at the screenshots seems that the corruptions are only inside the windows, so the problem is in the window manager.
> Which environement are you using ? unity or unity-2D ?
> If you are using compiz, can you please use metacity (unitu 2D) to see if you can see the bug again ?
> Thanks
> Fabio
>
>
> Jun 3 08:52:54 ToRA-A43E kernel: [ 818.780454] gimp-2.6[2719]: segfault at 0 ip 00007ff59f9a83e1 sp 00007fffed0045f8 error 4 in libc-2.15.so[7ff59f847000+1b3000]
> Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.324292] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
> Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.324302] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
> Jun 3 09:21:51 ToRA-A43E kernel: [ 2555.327842] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 1641045 at 1641039, next 1641046)
> Jun 3 09:21:52 ToRA-A43E kernel: [ 2555.955957] atl1c 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2556.151857] atl1c 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351882] apport-gpu-erro: page allocation failure: order:10, mode:0x40d0
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351888] Pid: 3752, comm: apport-gpu-erro Tainted: G C 3.2.0-24-generic #39-Ubuntu
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351891] Call Trace:
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351900] [<ffffffff8111cec6>] warn_alloc_failed+0xf6/0x150
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351904] [<ffffffff8111f5a0>] ? drain_pages+0x30/0xb0
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351907] [<ffffffff8111f696>] ? drain_local_pages+0x16/0x20
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351910] [<ffffffff81120d2b>] __alloc_pages_nodemask+0x64b/0x820
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351916] [<ffffffff81157ad3>] alloc_pages_current+0xa3/0x110
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351919] [<ffffffff8111beee>] __get_free_pages+0xe/0x40
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351923] [<ffffffff8116232f>] kmalloc_order_trace+0x3f/0xd0
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351927] [<ffffffff81162eb0>] __kmalloc+0x180/0x190
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351930] [<ffffffff81123bf6>] ? put_page+0x36/0x40
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351936] [<ffffffff8119a65d>] seq_read+0x17d/0x3d0
> Jun 3 09:21:54 ToRA-A43E kernel: [ 2558.351939] [<ffffffff81177ec0>] vfs_read+0xb...

Read more...

Tora Kuat (torakuat-gmail) wrote :

Recent days, the problem is getting worse. Now it occurs more often, especially in Fire Fox. Now there are sort of illegile letters in those purple stripes. Worse is, because it now quickly spreads accross the affected window, rendering the whole window illegible.

Then I found I was not alone:

http://askubuntu.com/questions/153931/weird-error-bug-on-my-screen

The clue given on that site, to switch to 2D unity. I thought earlier, that 2D unity is 'heavier' than Unity, so I did not try 2D Unity. Until I understood, that Unity is actually 3D Unity. Anyway, a few hours ago I logged in with 2D Unity. Now I have been working around 30 minutes, with multi tabbed Fire Fox, GIMP opens, Thunderbird, Libre Office Write. I found no funny scramble so far. I hope this will temporary 'solve' my problem. I will report if I find anything otherwise.

Since I heard Ubuntu is going to leave Unity or Unity 2D option, and only comes up with Unity only, I hope this problem will not appear in the 12.10 Ubuntu. I hope a solution for Unity in 12.04 can be found too, since it is supposed to be stable, LTS version.

Please do not exprire this bug yet, pending to more testing with Ubuntu 2D. Thanks.

Tora Kuat (torakuat-gmail) wrote :

I did not find similar problem with my computer while using Fedora 17, with 'heavy' load as described above. Maybe this note may help trouble shooter to find out problem within Unity environment. Thanks.

Tora Kuat (torakuat-gmail) wrote :

I gave up Ubuntu 64 bit version, as things got worse with the stripes / scrambles. Most severe hit was FireFox. It happened more often, and more widespread, practically made the window covered and could not be read. It was no different, whether Unity 2D or Unity was used.

Hence I reinstalled with Ubuntu 12.04 LTS 32 bit. Those stripes do not appear, which is great. BUT, if we hover with the mouse over the launcher, the accompanying text often fails. Instead of showing full size black box with text, very often, only a thin horizontal line on the upper part of where the black box supposed to show up appears. Sometimes, only (upper or lower) half of the black box is shown, other times, only the pointing tip (towards the launcher) of the black box appear. You move your mouse, some times the black box appear again in full (should be) form, then again it is not shown correctly.

I tried to get a screen shot with KSnapshot, whole desktop with delay. The split second before the picture is supposed to be taken, the erratic display of blackbox is immediately shown corrected (full size).

- - - - - - - - - - - - -

Another thing come to my attention: In 64 bit version, my keyboard was difficult to set, either no letter is produced in screen when you type, or it repeats a few time. Despite trying to adjust the timing in keyboard setting, it comes to a stage, no failsure typing experience is produced and a lot of typo error and uncomfortalitities with typing. I thought it was the keyboard / the computer. BUT, again, in 32 bit version, things have been detected smoothly. I can type with fun and enjoy and speed, no typo error. Somebody may want to note this problem.

-----------------------

My computer has dual boot with Fedora 17. I have not been experiencing any hassle with Fedora.

Hope my input can improve Ubuntu, which I have been using and loving since 9.04. Thanks.

Tora Kuat (torakuat-gmail) wrote :

Another screen shot

Tora Kuat (torakuat-gmail) wrote :

I updated Ubuntu regularly. Lately I did not encounter those strips and scrambles again. I hope, Ubuntu friends have finally solved this problem.

I am currently using 32 bit version of ubuntu, unity (3d). With the same loads, which earlier started to have scrambles, now it is no more.

Another things make me happy, if my mouse hover over launchers, the explaining boxes never fail to show up fully developed (Formerly, very often only one thin black line or other underdeveloped black text box appeared).

I hope the problem in 64 bit version is solved too. I have not tried this out in my computer, since reinstalling is just too much work.

Thank you.

Launchpad Janitor (janitor) wrote :

[Expired for Ubuntu because there has been no activity for 60 days.]

Changed in ubuntu:
status: Incomplete → Expired
To post a comment you must log in.